## python-fabio 0.9.0+dfsg

=== requirements.txt ===
#List of dependecies used by PIP but also by ReadTheDocs to generate the documentation on the fly
numpy
cython
lxml
sphinx
sphinxcontrib-programoutput

## python-fabio 0.0.8

=== debian/changelog ===
python-fabio (0.0.8-1) unstable; urgency=low

  * Initial release (Closes: #649008)  

 -- Jerome Kieffer <jerome.kieffer@esrf.fr>  Fri, 18 Nov 2011 16:19:20 +0100

=== debian/control ===
Source: python-fabio
Maintainer: Jerome Kieffer <jerome.kieffer@esrf.fr>
Section: python 
Priority: optional
Build-Depends: python-setuptools, python-all-dev (>= 2.5), debhelper (>= 8), python-numpy
Standards-Version: 3.9.2
Homepage: http://sourceforge.net/projects/fable/files/fabio/0.0.8/

Package: python-fabio
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-imaging, python-numpy
Recommends: python-numpy-ext, python-matplotlib
XS-Python-Version: >= 2.5
Suggests: pymca
Description: I/O library for images produced by 2D X-ray detector
 FabIO is an I/O library for images produced by 2D X-ray detectors and written
 in Python. FabIO support images detectors from a dozen of companies
 (including Mar, Dectris, ADSC, Hamamatsu, Oxford, ...), for a total of
 20 different file formats (like CBF, EDF, TIFF, ...) and offers an unified
 interface to their headers (as a python dictionary) and datasets (as a
 numpy ndarray of integers or floats)

## python-fabio 0.1.3

=== debian/changelog ===
python-fabio (0.1.3-3) unstable; urgency=medium

  * fix the FTBFS when sphinxdoc is not installed

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 15 Jan 2014 19:32:16 +0100

python-fabio (0.1.3-2) unstable; urgency=medium

  [kieffer]
  * Fix Lintian remarks
  * Correct compatibility with Python 2.5

  [picca]
  * debian/control
    - Bump Standard-Versions to 3.9.5 (no change)
    - Add the python-fabio-dbg package
    - Add the python-fabio-doc package
    - Team maintained under debian-science
    - Build-Depends: add cython
  * debian/patch
    + 0001-forwarded-upstream-cythonize-during-the-build.patch (new)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 27 Dec 2013 09:46:21 +0100

python-fabio (0.1.3-1) unstable; urgency=low

  [kieffer]
  * New upstream version (v0.1.3)

  [picca]
  * debian/control
    - use the right python-all-dev version dependencies for dh_python2.
    - remove had coded numpy dependencies which are generated by dh_numpy.
    - add myself as Uploaders.
    - update the homepage add the VCS informations.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 02 Nov 2013 21:40:48 +0100

=== debian/control ===
Source: python-fabio
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jerome Kieffer <jerome.kieffer@esrf.fr>,
           Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: extra
Build-Depends: cython,
               cython-dbg,
               debhelper (>= 9),
               python-all-dev,
               python-all-dbg,
               python-numpy,
               python-numpy-dbg,
               python-setuptools
Build-Depends-Indep: python-imaging,
                     python-lxml,
                     python-sphinx (>= 1.0.7+dfsg-1~)
Standards-Version: 3.9.5
Vcs-Browser: http://git.epn-campus.eu/projects/fabio/repository
Vcs-Git: git://git@git.epn-campus.eu:python-fabio
Homepage: http://git.epn-campus.eu/projects/fabio
X-Python-Version: >= 2.5

Package: python-fabio
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: python-imaging,
            python-lxml,
            python-matplotlib
Suggests: pyfai,
          pymca,
          python-fabio-doc
Description: I/O library for images produced by 2D X-ray detector
 FabIO is an I/O library for images produced by 2D X-ray detectors and
 written in Python. FabIO support images detectors from a dozen of
 companies (including Mar, Dectris, ADSC, Hamamatsu, Oxford, ...), for
 a total of 20 different file formats (like CBF, EDF, TIFF, ...) and
 offers an unified interface to their headers (as a python dictionary)
 and datasets (as a numpy ndarray of integers or floats)
 .
 This is the Python 2 version of the package.

Package: python-fabio-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: I/O library for images produced by 2D X-ray detector (common documentation)
 FabIO is an I/O library for images produced by 2D X-ray detectors and
 written in Python. FabIO support images detectors from a dozen of
 companies (including Mar, Dectris, ADSC, Hamamatsu, Oxford, ...), for
 a total of 20 different file formats (like CBF, EDF, TIFF, ...) and
 offers an unified interface to their headers (as a python dictionary)
 and datasets (as a numpy ndarray of integers or floats)
 .
 This is the common documentation package.

Package: python-fabio-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         python-fabio (= ${binary:Version})
Recommends: python-dbg,
            python-imaging-dbg,
            python-lxml-dbg,
            python-matplotlib-dbg
Description: I/O library for images produced by 2D X-ray detector (debug ext)
 FabIO is an I/O library for images produced by 2D X-ray detectors and
 written in Python. FabIO support images detectors from a dozen of
 companies (including Mar, Dectris, ADSC, Hamamatsu, Oxford, ...), for
 a total of 20 different file formats (like CBF, EDF, TIFF, ...) and
 offers an unified interface to their headers (as a python dictionary)
 and datasets (as a numpy ndarray of integers or floats)
 .
 This package contains the extension built for the Python 2 debug
 interpreter.

=== debian/rules ===
#!/usr/bin/make -f

PY2VERS = $(shell pyversions -r -v)

# to build without sphinxdoc
WITH_SPHINXDOC = $(shell if [ -x /usr/bin/dh_sphinxdoc ]; then echo "--with sphinxdoc"; fi)

%:
	dh $@ --with python2 $(WITH_SPHINXDOC)

override_dh_clean:
        # remove the cython generated files distributed by upstream
	rm -f $(patsubst %.pyx,%.c,$(wildcard src/*.pyx))
	rm -rf build/sphinx
	rm -rf *.egg-info
	dh_clean

override_dh_auto_build-indep:
	dh_auto_build
	# build the documentation
	set -e -x;\
	for py in $(PY2VERS); do \
		env http_proxy='localhost' python$$py setup.py build_doc ;\
	done

override_dh_install:
	dh_numpy
	# Install everything excluding the *_d.so debug extensions to python-foo
	dh_install -X"*_d.so" "debian/tmp/*" -p python-fabio

	# Install the debug extensions to python-foo-dbg
	dh_install "debian/tmp/usr/lib/python*/*-packages/fabio/*_d.so" -p python-fabio-dbg

	# Continue with regular dh_install
	dh_install

override_dh_installdocs-indep:
	# install the documentation
	dh_installdocs "build/sphinx/html" -p python-fabio-doc

=== debian/watch ===
https://sourceforge.net/projects/fable/files/fabio/(\d\S*)/fabio-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-fabio 0.1.4

=== debian/changelog ===
python-fabio (0.1.4-1) unstable; urgency=medium

  * Imported Upstream version 0.1.4 (Closes: #735432, #693121)
  * Run all tests during the build (thanks to pybuild)
  * debian/control
    - Add Build-Depends: dh-python for pybuild
  * debian/compat
    - switch to compat level 9
  * debian/copyright
    - updated for 0.1.4 version
  * debian/patchs
    - deleted (applyed by upstream)
      - 0001-forwarded-upstream-cythonize-during-the-build.patch
      - 0002-compat_2.5.patch
  * debian/rules
    - use the pybuild buildsystem
  * debian/watch
    - use the sourceforge redirector

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 05 Apr 2014 09:24:15 +0200

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,17 @@
 Build-Depends: cython,
                cython-dbg,
                debhelper (>= 9),
+               dh-python,
                python-all-dev,
                python-all-dbg,
+               python-imaging,
+               python-imaging-dbg,
+               python-lxml,
+               python-lxml-dbg,
                python-numpy,
                python-numpy-dbg,
                python-setuptools
-Build-Depends-Indep: python-imaging,
-                     python-lxml,
-                     python-sphinx (>= 1.0.7+dfsg-1~)
+Build-Depends-Indep: python-sphinx (>= 1.0.7+dfsg-1~)
 Standards-Version: 3.9.5
 Vcs-Browser: http://git.epn-campus.eu/projects/fabio/repository
 Vcs-Git: git://git@git.epn-campus.eu:python-fabio

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=fabio

PY2VERS = $(shell pyversions -r -v)

# to build without sphinxdoc
WITH_SPHINXDOC = $(shell if [ -x /usr/bin/dh_sphinxdoc ]; then echo "--with sphinxdoc"; fi)

%:
	dh $@ --with python2  --buildsystem=pybuild $(WITH_SPHINXDOC)

override_dh_clean:
        # remove the cython generated files distributed by upstream
	rm -f $(patsubst %.pyx,%.c,$(wildcard src/*.pyx))
	rm -rf build/html
	rm -rf *.egg-info
	dh_clean

override_dh_auto_build-indep:
	dh_auto_build
	PYBUILD_SYSTEM=custom \
	PYBUILD_BUILD_ARGS="PYTHONPATH={build_dir} http_proxy='localhost' sphinx-build -N -bhtml doc/source build/html" dh_auto_build  # HTML generator

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} {interpreter} test/test_all.py" dh_auto_test

override_dh_install:
	dh_numpy
	dh_install

	# remove the /bin part of the -dbg package which conflict with
	# non-dbg packages
	rm -rf debian/python-fabio-dbg/usr/bin

override_dh_installman:
	dh_installman -p python-fabio doc/man/fabio_viewer.1

override_dh_installdocs-indep:
	# install the documentation
	dh_installdocs "build/html" -p python-fabio-doc

=== debian/watch ===
version=3
http://sf.net/fable/fabio_(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-fabio 0.2.2+dfsg

=== debian/changelog ===
python-fabio (0.2.2+dfsg-2) unstable; urgency=medium

  * Add python3 modules and put the scripts into fabio-viewer

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 27 Jul 2015 10:03:05 +0200

python-fabio (0.2.2+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.2.2+dfsg
  * Repack in order to exclude third_party modules
  * debian/control
    - Bump Standard-Versions to 3.9.6 (no change)
    - Add Build-Depends: python-six, pymca,
      python-sphinxcontrib.programoutput
  * debian/patchs
    - 0001-fix-the-build-system.patch (added)
  * debian/watch
    - use the PyPi redirector

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 22 Jul 2015 16:13:10 +0200

=== debian/control ===
Source: python-fabio
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jerome Kieffer <jerome.kieffer@esrf.fr>,
           Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: extra
Build-Depends: cython,
               cython-dbg,
               cython3,
               cython3-dbg,
               debhelper (>= 9),
               dh-python,
               pymca,
               python-all-dev,
               python-all-dbg,
               python-imaging,
               python-imaging-dbg,
               python-lxml,
               python-lxml-dbg,
               python-numpy,
               python-numpy-dbg,
               python-setuptools,
               python-six,
               python-sphinx (>= 1.0.7+dfsg-1~),
               python-sphinxcontrib.programoutput,
               python3-all-dev,
               python3-all-dbg,
               python3-lxml,
               python3-lxml-dbg,
               python3-numpy,
               python3-numpy-dbg,
               python3-pil,
               python3-pil-dbg,
               python3-setuptools,
               python3-six,
               python3-sphinx,
               python3-sphinxcontrib.programoutput
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/python-fabio.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/python-fabio.git
Homepage: https://github.com/kif/fabio
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.4

Package: fabio-viewer
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python:Depends},
         python-fabio (>= ${source:Version})
Breaks: python-fabio (<< 0.2.2+dfsg-2)
Replaces: python-fabio (<< 0.2.2+dfsg-2)
Description: Viewer for images produced by 2D X-ray detector
 FabIO is an I/O library for images produced by 2D X-ray detectors and
 written in Python. FabIO support images detectors from a dozen of
 companies (including Mar, Dectris, ADSC, Hamamatsu, Oxford, ...), for
 a total of 20 different file formats (like CBF, EDF, TIFF, ...) and
 offers an unified interface to their headers (as a Python dictionary)
 and datasets (as a numpy ndarray of integers or floats)
 .
 Binaries provided with python-fabio

Package: python-fabio
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         fabio-viewer,
         pymca,
         python-six
Recommends: python-imaging,
            python-lxml,
            python-matplotlib
Suggests: pyfai,
          python-fabio-doc
Description: I/O library for images produced by 2D X-ray detector - Python2
 FabIO is an I/O library for images produced by 2D X-ray detectors and
 written in Python. FabIO support images detectors from a dozen of
 companies (including Mar, Dectris, ADSC, Hamamatsu, Oxford, ...), for
 a total of 20 different file formats (like CBF, EDF, TIFF, ...) and
 offers an unified interface to their headers (as a Python dictionary)
 and datasets (as a numpy ndarray of integers or floats)
 .
 This is the Python 2 version of the package.

Package: python-fabio-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         python-fabio (= ${binary:Version})
Recommends: python-dbg,
            python-imaging-dbg,
            python-lxml-dbg,
            python-matplotlib-dbg
Description: I/O library for images produced by 2D X-ray detector - Python2 debug
 FabIO is an I/O library for images produced by 2D X-ray detectors and
 written in Python. FabIO support images detectors from a dozen of
 companies (including Mar, Dectris, ADSC, Hamamatsu, Oxford, ...), for
 a total of 20 different file formats (like CBF, EDF, TIFF, ...) and
 offers an unified interface to their headers (as a Python dictionary)
 and datasets (as a numpy ndarray of integers or floats)
 .
 This package contains the extension built for the Python 2 debug
 interpreter.

Package: python3-fabio
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         pymca,
         python3-six
Recommends: python3-lxml,
            python3-matplotlib,
            python3-pil
Suggests: pyfai,
          python-fabio-doc
Description: I/O library for images produced by 2D X-ray detector - Python3
 FabIO is an I/O library for images produced by 2D X-ray detectors and
 written in Python. FabIO support images detectors from a dozen of
 companies (including Mar, Dectris, ADSC, Hamamatsu, Oxford, ...), for
 a total of 20 different file formats (like CBF, EDF, TIFF, ...) and
 offers an unified interface to their headers (as a Python dictionary)
 and datasets (as a numpy ndarray of integers or floats)
 .
 This is the Python 3 version of the package.

Package: python3-fabio-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-fabio (= ${binary:Version})
Recommends: python3-dbg,
            python3-lxml-dbg,
            python3-matplotlib-dbg,
            python3-pil-dbg
Description: I/O library for images produced by 2D X-ray detector - Python3 debug
 FabIO is an I/O library for images produced by 2D X-ray detectors and
 written in Python. FabIO support images detectors from a dozen of
 companies (including Mar, Dectris, ADSC, Hamamatsu, Oxford, ...), for
 a total of 20 different file formats (like CBF, EDF, TIFF, ...) and
 offers an unified interface to their headers (as a Python dictionary)
 and datasets (as a numpy ndarray of integers or floats)
 .
 This package contains the extension built for the Python 3 debug
 interpreter.

Package: python-fabio-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: I/O library for images produced by 2D X-ray detector - documentation
 FabIO is an I/O library for images produced by 2D X-ray detectors and
 written in Python. FabIO support images detectors from a dozen of
 companies (including Mar, Dectris, ADSC, Hamamatsu, Oxford, ...), for
 a total of 20 different file formats (like CBF, EDF, TIFF, ...) and
 offers an unified interface to their headers (as a Python dictionary)
 and datasets (as a numpy ndarray of integers or floats)
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=fabio

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
        # remove the cython generated files distributed by upstream
	rm -f $(patsubst %.pyx,%.c,$(wildcard src/*.pyx))
	rm -rf build/html
	rm -rf *.egg-info
	dh_clean

override_dh_auto_build:
	dh_auto_build
	PYBUILD_SYSTEM=custom \
	PYBUILD_BUILD_ARGS="PYTHONPATH={build_dir} http_proxy='localhost' sphinx-build -N -bhtml doc/source build/html" dh_auto_build  # HTML generator

# unactive test for now
override_dh_auto_test:
#	PYBUILD_SYSTEM=custom \
#	PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} {interpreter} test/test_all.py" dh_auto_test

override_dh_install:
	dh_numpy
	dh_numpy3
	dh_install

	# move the scripts into fabio-viewer
	dh_install -p fabio-viewer debian/python-fabio/usr/bin usr/
	# remove all scripts installed by pybuild
	rm -rf debian/python-fabio/usr/bin
	rm -rf debian/python-fabio-dbg/usr/bin
	rm -rf debian/python3-fabio/usr/bin
	rm -rf debian/python3-fabio-dbg/usr/bin

override_dh_installman:
	dh_installman -p fabio-viewer doc/man/fabio_viewer.1

override_dh_installdocs:
	dh_installdocs "build/html" -p python-fabio-doc
	dh_installdocs

## python-fabio 0.3.0+dfsg

=== debian/changelog ===
python-fabio (0.3.0+dfsg-1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 11:46:27 +0000

python-fabio (0.3.0+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.3.0+dfsg
  * debian/patchs
    - 0001-fix-the-build-system.patch (removed)
    + 0001-fix-the-documentation-build-process.patch (added)
    + 0002-fix-upstream-wrong-six-import.patch (added)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 04 Jan 2016 11:34:23 +0100

python-fabio (0.2.2+dfsg-3) unstable; urgency=medium

  * debian/control
     - fix Dependency to deal with backports
         (0.2.2+dfsg-2 -> 0.2.2+dfsg-2~)
     - remove the circular dependency (Closes: #794153)
         (python-fabio only Recommends fabio-viewer)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 29 Sep 2015 10:20:19 +0200

=== debian/control ===
--- 
+++ 
@@ -48,8 +48,8 @@
 Depends: ${misc:Depends},
          ${python:Depends},
          python-fabio (>= ${source:Version})
-Breaks: python-fabio (<< 0.2.2+dfsg-2)
-Replaces: python-fabio (<< 0.2.2+dfsg-2)
+Breaks: python-fabio (<< 0.2.2+dfsg-2~)
+Replaces: python-fabio (<< 0.2.2+dfsg-2~)
 Description: Viewer for images produced by 2D X-ray detector
  FabIO is an I/O library for images produced by 2D X-ray detectors and
  written in Python. FabIO support images detectors from a dozen of
@@ -66,10 +66,10 @@
 Depends: ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends},
-         fabio-viewer,
          pymca,
          python-six
-Recommends: python-imaging,
+Recommends: fabio-viewer,
+            python-imaging,
             python-lxml,
             python-matplotlib
 Suggests: pyfai,

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 override_dh_auto_build:
 	dh_auto_build
 	PYBUILD_SYSTEM=custom \
-	PYBUILD_BUILD_ARGS="PYTHONPATH={build_dir} http_proxy='localhost' sphinx-build -N -bhtml doc/source build/html" dh_auto_build  # HTML generator
+	PYBUILD_BUILD_ARGS="PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/source build/html" dh_auto_build  # HTML generator
 
 # unactive test for now
 override_dh_auto_test:

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg,\
uversionmangle=s/(rc|a|b|c)/~$1/,\
dversionmangle=s/\+dfsg// \
http://pypi.debian.net/fabio/fabio-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-fabio 0.4.0a3

=== debian/changelog ===
python-fabio (0.4.0a3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * fabio snapshot 0.4.0-dev3 built for debian 8

 -- edna tester <tester@edna-site.org>  Fri, 17 Jun 2016 03:46:43 +0200

python-fabio (0.4.0a3-1) UNRELEASED; urgency=medium

  * upstream development build of fabio 0.4.0-dev3

 -- edna tester <tester@edna-site.org>  Fri, 17 Jun 2016 03:46:43 +0200

python-fabio (0.3.0b3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * fabio  built for debian 8

 -- Jerome Kieffer <kieffer@lintaillefer.esrf.fr>  Thu, 03 Mar 2016 17:08:44 +0100

python-fabio (0.3.0b3-1) jessie-backports; urgency=low

  * Rebuild for jessie-backports.
  * new upstream/master 0.3.0 beta

 -- Jerome Kieffer <kieffer@lintaillefer.esrf.fr>  Thu, 29 Oct 2015 16:02:36 +0100

python-fabio (0.2.2+dfsg-3~bpo8+1) jessie-backports; urgency=medium

  * Backport to stable.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 05 Oct 2015 14:44:48 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                cython-dbg,
                cython3,
                cython3-dbg,
-               debhelper (>= 9),
+               debhelper ,
                dh-python,
                pymca,
                python-all-dev,
@@ -21,7 +21,7 @@
                python-numpy-dbg,
                python-setuptools,
                python-six,
-               python-sphinx (>= 1.0.7+dfsg-1~),
+               python-sphinx,
                python-sphinxcontrib.programoutput,
                python3-all-dev,
                python3-all-dbg,
@@ -40,7 +40,7 @@
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/python-fabio.git
 Homepage: https://github.com/kif/fabio
 X-Python-Version: >= 2.5
-X-Python3-Version: >= 3.4
+X-Python3-Version: >= 3.2
 
 Package: fabio-viewer
 Architecture: all
@@ -48,8 +48,6 @@
 Depends: ${misc:Depends},
          ${python:Depends},
          python-fabio (>= ${source:Version})
-Breaks: python-fabio (<< 0.2.2+dfsg-2~)
-Replaces: python-fabio (<< 0.2.2+dfsg-2~)
 Description: Viewer for images produced by 2D X-ray detector
  FabIO is an I/O library for images produced by 2D X-ray detectors and
  written in Python. FabIO support images detectors from a dozen of

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=fabio

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -f $(patsubst %.pyx,%.c,$(wildcard fabio/ext/*.pyx))
	rm -rf build/html
	rm -rf *.egg-info

override_dh_auto_build:
	dh_auto_build
	PYBUILD_SYSTEM=custom \
	PYBUILD_BUILD_ARGS="PYTHONPATH={build_dir} http_proxy='localhost' sphinx-build -N -bhtml doc/source build/html" dh_auto_build 

# unactive test for now
override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} FABIO_TESTIMAGES=testimages {interpreter} ./run_tests.py" dh_auto_test

override_dh_install:
	dh_numpy
	dh_numpy3

	# move the scripts to right package
	dh_install -p fabio-viewer debian/python-fabio/usr/bin usr/

	# remove all scripts installed by pybuild
	rm -rf debian/python-fabio/usr/bin
	rm -rf debian/python-fabio-dbg/usr/bin
	rm -rf debian/python3-fabio/usr/bin
	rm -rf debian/python3-fabio-dbg/usr/bin

	# remove all py/pyc/egg-info files from dbg packages
	find debian/python-fabio-dbg/usr -name "*.py" -type f -delete
	find debian/python-fabio-dbg/usr -name "*.pyc" -type f -delete
	find debian/python-fabio-dbg/usr -path '*/*.egg-info/*' -delete
	find debian/python-fabio-dbg/usr -name "*.egg-info" -type d -empty -delete
	find debian/python3-fabio-dbg/usr -name "*.py" -type f -delete
	find debian/python3-fabio-dbg/usr -name "*.pyc" -type f -delete
	find debian/python3-fabio-dbg/usr -path '*/*.egg-info/*' -delete
	find debian/python3-fabio-dbg/usr -name "*.egg-info" -type d  -empty -delete

	#Finally install stuff
	dh_install

override_dh_installman:
	dh_installman -p fabio-viewer doc/man/fabio_viewer.1

override_dh_installdocs:
	dh_installdocs "build/html" -p python-fabio-doc
	dh_installdocs

## python-fabio 0.4.0+dfsg

=== debian/changelog ===
python-fabio (0.4.0+dfsg-2~bpo8+1) jessie-backports; urgency=medium

  * Backport to stable.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 04 Oct 2016 15:20:46 +0200

python-fabio (0.4.0+dfsg-2) unstable; urgency=medium

  * debian/rules
    * fixed for jessie-backports

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 28 Jul 2016 11:33:20 +0200

python-fabio (0.4.0+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.4.0+dfsg
  * New homepage https://github.com/silx-kit/fabio
  * debian/control
    * Remove Build-Dep: pymca
  * debian/patchs
    - 0001-fix-the-documentation-build-process.patch (deleted)
    + 0002 -> 0001-fix-upstream-wrong-six-import.patch (refreshed)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 27 Jul 2016 18:31:23 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,8 @@
                cython-dbg,
                cython3,
                cython3-dbg,
-               debhelper ,
+               debhelper (>= 9),
                dh-python,
-               pymca,
                python-all-dev,
                python-all-dbg,
                python-imaging,
@@ -21,7 +20,7 @@
                python-numpy-dbg,
                python-setuptools,
                python-six,
-               python-sphinx,
+               python-sphinx (>= 1.0.7+dfsg-1~),
                python-sphinxcontrib.programoutput,
                python3-all-dev,
                python3-all-dbg,
@@ -38,9 +37,9 @@
 Standards-Version: 3.9.6
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/python-fabio.git
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/python-fabio.git
-Homepage: https://github.com/kif/fabio
+Homepage: https://github.com/silx-kit/fabio
 X-Python-Version: >= 2.5
-X-Python3-Version: >= 3.2
+X-Python3-Version: >= 3.4
 
 Package: fabio-viewer
 Architecture: all
@@ -48,6 +47,8 @@
 Depends: ${misc:Depends},
          ${python:Depends},
          python-fabio (>= ${source:Version})
+Breaks: python-fabio (<< 0.2.2+dfsg-2~)
+Replaces: python-fabio (<< 0.2.2+dfsg-2~)
 Description: Viewer for images produced by 2D X-ray detector
  FabIO is an I/O library for images produced by 2D X-ray detectors and
  written in Python. FabIO support images detectors from a dozen of
@@ -64,7 +65,6 @@
 Depends: ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends},
-         pymca,
          python-six
 Recommends: fabio-viewer,
             python-imaging,
@@ -110,7 +110,6 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
-         pymca,
          python3-six
 Recommends: python3-lxml,
             python3-matplotlib,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=fabio
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin/

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
        # remove the cython generated files distributed by upstream
	rm -f $(patsubst %.pyx,%.c,$(wildcard fabio/ext/*.pyx))
	rm -rf doc/build/html
	rm -rf *.egg-info
	dh_clean

# unactive test for now
override_dh_auto_test:
#	PYBUILD_SYSTEM=custom \
#	PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} FABIO_TESTIMAGES=testimages {interpreter} ./run_tests.py" dh_auto_test

override_dh_install:
	dh_install
	dh_numpy
	dh_numpy3

        # install scripts into fabio-viewer
	python setup.py install_scripts -d debian/fabio-viewer/usr/bin

override_dh_installman:
	dh_installman -p fabio-viewer doc/man/fabio_viewer.1

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYBUILD_SYSTEM=custom \
	PYBUILD_BUILD_ARGS="cd doc && PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' {interpreter} -c \"import sys;from sphinx import main;sys.exit(main(sys.argv))\" -N -bhtml source build/html" dh_auto_build  # HTML generator
	dh_installdocs "doc/build/html" -p python-fabio-doc
	dh_sphinxdoc -O--buildsystem=pybuild
endif

## python-fabio 0.5.0~adev0

=== debian/changelog ===
python-fabio (0.5.0~adev0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * fabio snapshot 0.5.0-dev0 built for debian 8

 -- edna tester <tester@edna-site.org>  Tue, 22 Aug 2017 03:28:51 +0200

python-fabio (0.5.0~adev0-1) UNRELEASED; urgency=medium

  * upstream development build of fabio 0.5.0-dev0

 -- edna tester <tester@edna-site.org>  Tue, 22 Aug 2017 03:28:51 +0200

python-fabio (0.3.0b3-1~bpo8+2) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * fabio snapshot  built for debian 8

 -- Jerome Kieffer <kieffer@lintaillefer.esrf.fr>  Thu, 16 Jun 2016 12:05:29 +0200

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=fabio

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -f $(patsubst %.pyx,%.c,$(wildcard fabio/ext/*.pyx))
	rm -rf build/html
	rm -rf *.egg-info

override_dh_auto_build:
	dh_auto_build
	#PYBUILD_SYSTEM=custom \
	#PYBUILD_BUILD_ARGS="PYTHONPATH={build_dir} http_proxy='localhost' sphinx-build -N -bhtml doc/source build/html" dh_auto_build 
	python setup.py build build_doc

# unactive test for now
override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} FABIO_TESTIMAGES=testimages {interpreter} ./run_tests.py" dh_auto_test

override_dh_install:
	dh_numpy
	dh_numpy3

	# move the scripts to right package
	dh_install -p fabio-viewer debian/python-fabio/usr/bin usr/

	# remove all scripts installed by pybuild
	rm -rf debian/python-fabio/usr/bin
	rm -rf debian/python-fabio-dbg/usr/bin
	rm -rf debian/python3-fabio/usr/bin
	rm -rf debian/python3-fabio-dbg/usr/bin

	# remove all py/pyc/egg-info files from dbg packages
	find debian/python-fabio-dbg/usr -name "*.py" -type f -delete
	find debian/python-fabio-dbg/usr -name "*.pyc" -type f -delete
	find debian/python-fabio-dbg/usr -path '*/*.egg-info/*' -delete
	find debian/python-fabio-dbg/usr -name "*.egg-info" -type d -empty -delete
	find debian/python3-fabio-dbg/usr -name "*.py" -type f -delete
	find debian/python3-fabio-dbg/usr -name "*.pyc" -type f -delete
	find debian/python3-fabio-dbg/usr -path '*/*.egg-info/*' -delete
	find debian/python3-fabio-dbg/usr -name "*.egg-info" -type d  -empty -delete

	#Finally install stuff
	dh_install

override_dh_installman:
	dh_installman -p fabio-viewer doc/man/fabio_viewer.1

override_dh_installdocs:
	dh_installdocs "build/sphinx/html" -p python-fabio-doc
	dh_installdocs

## python-fabio 0.6.0

=== debian/changelog ===
python-fabio (0.6.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * fabio snapshot 0.6.0 built for debian8

 -- Jerome Kieffer <jerome.kieffer@esrf.fr>  Tue, 16 Jan 2018 14:54:45 +0100

python-fabio (0.6.0-1) UNRELEASED; urgency=medium

  * upstream development build of fabio 0.6.0

 -- Jerome Kieffer <jerome.kieffer@esrf.fr>  Tue, 16 Jan 2018 14:54:45 +0100

## python-fabio 0.6.0+dfsg

=== debian/changelog ===
python-fabio (0.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.6.0+dfsg
  * Added DEP8 autopkgtests
  * d/control
    * Bump Stabdards-Version 4.1.1 (nothing to do)
    * Build-Depends:
      + Added sphinx >= 1.4.9,
        pandoc, python[3]-nbsphinx, python[3]-pyqt5[-dbg]
      - Removed python-qt4[-dbg], python3-pyqt4[-dbg]
    * Changed fabio-viewer section (python -> science) (Closes: #832210)
  * d/patch
    - Refreshed the series for 0.6.0
  * d/watch
    - Do not use the pypi redirector

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 21 Jan 2018 15:07:49 +0100

python-fabio (0.5.0+dfsg-2) unstable; urgency=medium

  * d/control
    - python-qt4 -> python3-pyqt4-dbg (Closes: #876288)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 20 Sep 2017 20:17:29 +0200

python-fabio (0.5.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.5.0+dfsg
  * switch to compat level 10
  * d/control
    - fabio-viewer scripts python2 -> python3
    - Bump Standard-Versions to 4.1.0 (extra -> optional)
    - cme fixed
    - wrap-and-sort
    - Build-Depends
      + Added help2man,
        python[3]-h5py[-dbg],
        python[3]-matplotlib[-dbg],
        python-pil[-dbg],
        python-qt4|dbg], python3-pyqt4[-dbg],
        xauth, xvfb
      - Removed python-imaging[-dbg]
  * d/copyright
    - updated the Files-excludes for 0.5.0
    - Setting up and using cme upgrade dpkg-copyright
  * d/patch
    - Added 0001-do-not-touch-PYTHONPATH.patch
    - Added 0002-fix-the-install_requires-depends.patch
  * d/rules
    - Used xvfb to generate the manpages

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 02 Sep 2017 16:12:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,50 +3,68 @@
 Uploaders: Jerome Kieffer <jerome.kieffer@esrf.fr>,
            Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
-Priority: extra
+Priority: optional
 Build-Depends: cython,
                cython-dbg,
                cython3,
                cython3-dbg,
-               debhelper (>= 9),
+               debhelper (>= 10),
                dh-python,
+               help2man,
+               pandoc,
+               python-all-dbg,
                python-all-dev,
-               python-all-dbg,
-               python-imaging,
-               python-imaging-dbg,
+               python-h5py,
+               python-h5py-dbg,
                python-lxml,
                python-lxml-dbg,
+               python-matplotlib,
+               python-matplotlib-dbg,
+               python-nbsphinx,
                python-numpy,
                python-numpy-dbg,
+               python-pil,
+               python-pil-dbg,
+               python-pyqt5,
+               python-pyqt5-dbg,
                python-setuptools,
                python-six,
-               python-sphinx (>= 1.0.7+dfsg-1~),
+               python-sphinx (>= 1.4.9),
                python-sphinxcontrib.programoutput,
+               python3-all-dbg,
                python3-all-dev,
-               python3-all-dbg,
+               python3-h5py,
+               python3-h5py-dbg,
                python3-lxml,
                python3-lxml-dbg,
+               python3-matplotlib,
+               python3-matplotlib-dbg,
+               python3-nbsphinx,
                python3-numpy,
                python3-numpy-dbg,
                python3-pil,
                python3-pil-dbg,
+               python3-pyqt5,
+               python3-pyqt5-dbg,
                python3-setuptools,
                python3-six,
-               python3-sphinx,
-               python3-sphinxcontrib.programoutput
-Standards-Version: 3.9.6
+               python3-sphinx (>= 1.4.9),
+               python3-sphinxcontrib.programoutput,
+               xauth,
+               xvfb
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/python-fabio.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/python-fabio.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-fabio.git
 Homepage: https://github.com/silx-kit/fabio
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.4
 
 Package: fabio-viewer
 Architecture: all
-Section: python
-Depends: ${misc:Depends},
-         ${python:Depends},
-         python-fabio (>= ${source:Version})
+Section: science
+Depends: python3-fabio (>= ${source:Version}),
+         ${misc:Depends},
+         ${python3:Depends}
 Breaks: python-fabio (<< 0.2.2+dfsg-2~)
 Replaces: python-fabio (<< 0.2.2+dfsg-2~)
 Description: Viewer for images produced by 2D X-ray detector
@@ -62,16 +80,8 @@
 Package: python-fabio
 Architecture: any
 Section: python
-Depends: ${misc:Depends},
-         ${python:Depends},
-         ${shlibs:Depends},
-         python-six
-Recommends: fabio-viewer,
-            python-imaging,
-            python-lxml,
-            python-matplotlib
-Suggests: pyfai,
-          python-fabio-doc
+Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
+Suggests: python-fabio-doc
 Description: I/O library for images produced by 2D X-ray detector - Python2
  FabIO is an I/O library for images produced by 2D X-ray detectors and
  written in Python. FabIO support images detectors from a dozen of
@@ -85,14 +95,17 @@
 Package: python-fabio-dbg
 Architecture: any
 Section: debug
-Depends: ${misc:Depends},
+Depends: python-dbg,
+         python-fabio (= ${binary:Version}),
+         python-h5py-dbg,
+         python-lxml-dbg,
+         python-matplotlib-dbg,
+         python-numpy-dbg,
+         python-pil-dbg,
+         python-pyqt5-dbg,
+         ${misc:Depends},
          ${python:Depends},
-         ${shlibs:Depends},
-         python-fabio (= ${binary:Version})
-Recommends: python-dbg,
-            python-imaging-dbg,
-            python-lxml-dbg,
-            python-matplotlib-dbg
+         ${shlibs:Depends}
 Description: I/O library for images produced by 2D X-ray detector - Python2 debug
  FabIO is an I/O library for images produced by 2D X-ray detectors and
  written in Python. FabIO support images detectors from a dozen of
@@ -107,15 +120,8 @@
 Package: python3-fabio
 Architecture: any
 Section: python
-Depends: ${misc:Depends},
-         ${python3:Depends},
-         ${shlibs:Depends},
-         python3-six
-Recommends: python3-lxml,
-            python3-matplotlib,
-            python3-pil
-Suggests: pyfai,
-          python-fabio-doc
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Suggests: python-fabio-doc
 Description: I/O library for images produced by 2D X-ray detector - Python3
  FabIO is an I/O library for images produced by 2D X-ray detectors and
  written in Python. FabIO support images detectors from a dozen of
@@ -129,14 +135,17 @@
 Package: python3-fabio-dbg
 Architecture: any
 Section: debug
-Depends: ${misc:Depends},
+Depends: python3-dbg,
+         python3-fabio (= ${binary:Version}),
+         python3-h5py-dbg,
+         python3-lxml-dbg,
+         python3-matplotlib-dbg,
+         python3-numpy-dbg,
+         python3-pil-dbg,
+         python3-pyqt5-dbg,
+         ${misc:Depends},
          ${python3:Depends},
-         ${shlibs:Depends},
-         python3-fabio (= ${binary:Version})
-Recommends: python3-dbg,
-            python3-lxml-dbg,
-            python3-matplotlib-dbg,
-            python3-pil-dbg
+         ${shlibs:Depends}
 Description: I/O library for images produced by 2D X-ray detector - Python3 debug
  FabIO is an I/O library for images produced by 2D X-ray detectors and
  written in Python. FabIO support images detectors from a dozen of
@@ -151,8 +160,7 @@
 Package: python-fabio-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends},
-         ${sphinxdoc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: I/O library for images produced by 2D X-ray detector - documentation
  FabIO is an I/O library for images produced by 2D X-ray detectors and
  written in Python. FabIO support images detectors from a dozen of

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=fabio
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin/

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
        # remove the cython generated files distributed by upstream
	rm -f $(patsubst %.pyx,%.c,$(wildcard fabio/ext/*.pyx))
	rm -rf doc/build/html
	rm -rf build/man
	rm -rf *.egg-info
	dh_clean

override_dh_auto_build:
	dh_auto_build
#	PYBUILD_SYSTEM=custom \
	PYBUILD_BUILD_ARGS="PYTHONPATH={build_dir} cd {build_dir} && xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} -m fabio.app.convert --help" dh_auto_build
#	PYBUILD_SYSTEM=custom \
	PYBUILD_BUILD_ARGS="PYTHONPATH={build_dir} cd {build_dir} && xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} -m fabio.app.viewer --help" dh_auto_build
	PYBUILD_SYSTEM=custom \
	PYBUILD_BUILD_ARGS="PYTHONPATH={build_dir} xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} setup.py build_man" dh_auto_build

override_dh_auto_test:
#       https://github.com/silx-kit/fabio/issues/153
#	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' FABIO_TESTIMAGES=testimages xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} ./run_tests.py" dh_auto_test

override_dh_install:
	dh_install
	dh_numpy
	dh_numpy3

        # install scripts into fabio-viewer
	python3 setup.py install_scripts -d debian/fabio-viewer/usr/bin

override_dh_installman:
	dh_installman -p fabio-viewer build/man/*.1

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYBUILD_SYSTEM=custom \
	PYBUILD_BUILD_ARGS="cd doc && PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' {interpreter} -m sphinx -N -bhtml source build/html" dh_auto_build  # HTML generator
	dh_installdocs "doc/build/html" -p python-fabio-doc
	dh_sphinxdoc -O--buildsystem=pybuild
endif

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,\
uversionmangle=s/(rc|a|b|c)/~$1/,\
dversionmangle=s/\+dfsg// \
https://pypi.python.org/pypi/fabio/ \
https://pypi.python.org/packages/.*/.*/.*/\
 fabio-([\d\.]+).tar.gz#.* debian uupdate

# pypi redirector
#https://pypi.python.org/packages/source/f/fabio/ \
# fabio-(.+)\.tar\.gz debian uupdate

## python-fabio 0.7.0+dfsg

=== debian/changelog ===
python-fabio (0.7.0+dfsg-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 04 Aug 2018 14:28:35 +0200

python-fabio (0.7.0+dfsg-2) unstable; urgency=medium

  * d/rules
    - Installed the mathjax link only in the python-fabio-doc packages
    (Closes: #905207)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 01 Aug 2018 23:37:51 +0200

python-fabio (0.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.7.0+dfsg (Closes: #904262)
  * d/control
    - Switched VCS-X to salsa URL's
    - Removed obsolete X-Python[3]-Version
    - Use system mathjax for privacy breach.
    - Build-Depends
      + Added libjs-mathjax
  * d/patches
    + 0003-use-the-system-mathjax.patch (Added)
  * d/watch
    + Use the pypi redirector once again.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 31 Jul 2018 09:54:20 +0200

python-fabio (0.6.0+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 27 Jan 2018 12:22:27 +0100

python-fabio (0.5.0+dfsg-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 08 Oct 2017 09:23:14 +0200

## python-fabio 0.8.0+dfsg

=== debian/changelog ===
python-fabio (0.8.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.8.0+dfsg
  * Added the Salsa CI pipeline
  * d/patches
    + 0004-reproducible-build.patch.patch (added)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 26 Nov 2018 20:26:28 +0100

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                debhelper (>= 10),
                dh-python,
                help2man,
+               libjs-mathjax,
                pandoc,
                python-all-dbg,
                python-all-dev,
@@ -53,11 +54,9 @@
                xauth,
                xvfb
 Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/python-fabio.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-fabio.git
+Vcs-Browser: https://salsa.debian.org/science-team/python-fabio
+Vcs-Git: https://salsa.debian.org/science-team/python-fabio.git
 Homepage: https://github.com/silx-kit/fabio
-X-Python-Version: >= 2.5
-X-Python3-Version: >= 3.4
 
 Package: fabio-viewer
 Architecture: all
@@ -160,7 +159,7 @@
 Package: python-fabio-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}, libjs-mathjax
 Description: I/O library for images produced by 2D X-ray detector - documentation
  FabIO is an I/O library for images produced by 2D X-ray detectors and
  written in Python. FabIO support images detectors from a dozen of

=== debian/rules ===
--- 
+++ 
@@ -44,5 +44,6 @@
 	PYBUILD_SYSTEM=custom \
 	PYBUILD_BUILD_ARGS="cd doc && PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' {interpreter} -m sphinx -N -bhtml source build/html" dh_auto_build  # HTML generator
 	dh_installdocs "doc/build/html" -p python-fabio-doc
-	dh_sphinxdoc -O--buildsystem=pybuild
+	dh_link -p python-fabio-doc /usr/share/javascript/mathjax /usr/share/doc/python-fabio-doc/html/_static/mathjax
+	dh_sphinxdoc -X_static/mathjax -O--buildsystem=pybuild
 endif

=== debian/tests/control ===
Tests: python2
Depends: python-fabio, python-all

Tests: python2-dbg
Depends: python-fabio-dbg, python-all-dbg

Tests: python3
Depends: python3-fabio, python3-all

Tests: python3-dbg
Depends: python3-fabio-dbg, python3-all-dbg
